Boost.Locale: boost::locale::gnu_gettext::messages_info::domain Struct Reference

| Boost.Locale

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
boost::locale::gnu_gettext::messages_info::domain Struct Reference

This type represents GNU Gettext domain name for the messages. More...

`#include <boost/locale/gnu_gettext.hpp>`

## Public Member Functions
| domain (std::string const &n)
bool | operator== (domain const &other) const
bool | operator!= (domain const &other) const

## Public Attributes
std::string | name
| The name of the domain.
std::string | encoding
| The character encoding for the domain.

## Detailed Description

This type represents GNU Gettext domain name for the messages.

It consists of two parameters:

- name - the name of the domain - used for opening the file name
- encoding - the encoding of the keys in the sources, default - UTF-8

## Constructor & Destructor Documentation

boost::locale::gnu_gettext::messages_info::domain::domain | ( | std::string const & | n | ) |
| inline

Create a domain object from the name that can hold an encoding after symbol "/" such that if n is "hello/cp1255" then the name would be "hello" and "encoding" would be "cp1255" and if n is "hello" then the name would be the same but encoding would be "UTF-8"

## Member Function Documentation

bool boost::locale::gnu_gettext::messages_info::domain::operator!= | ( | domain const & | other | ) | const
| inline

Check whether two objects are distinct, only names are compared, encoding is ignored

bool boost::locale::gnu_gettext::messages_info::domain::operator== | ( | domain const & | other | ) | const
| inline

Check whether two objects are equivalent, only names are compared, encoding is ignored

The documentation for this struct was generated from the following file:

- boost/locale/gnu_gettext.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.